# Simple toolchain template file for gcc running on x86_64 Windows
set(CMAKE_SYSTEM_NAME Windows)
set(CMAKE_SYSTEM_PROCESSOR x86_64)

set(CMAKE_SYSROOT /opt/x86_64-w64-mingw32/x86_64-w64-mingw32/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/x86_64-w64-mingw32-gcc)
set(CMAKE_CXX_COMPILER /opt/bin/x86_64-w64-mingw32-g++)
set(CMAKE_Fortran_COMPILER /opt/bin/x86_64-w64-mingw32-gfortran)

set(CMAKE_LINKER  /opt/bin/x86_64-w64-mingw32-ld)
set(CMAKE_OBJCOPY /opt/bin/x86_64-w64-mingw32-objcopy)

set(CMAKE_AR     /opt/x86_64-w64-mingw32/bin/x86_64-w64-mingw32-ar)
set(CMAKE_NM     /opt/x86_64-w64-mingw32/bin/x86_64-w64-mingw32-nm)
set(CMAKE_RANLIB /opt/x86_64-w64-mingw32/bin/x86_64-w64-mingw32-ranlib)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
